Name: fdutils
%define ver_base 5.4
%define ver_snap 20020222
Version: %ver_base.%ver_snap
Release: alt1

Summary: Programs for dealing with floppy disks
License: GPL
Group: System/Kernel and hardware
Url: http://fdutils.linux.lu

%define srcname %name-%ver_base
Source: %url/%srcname.tar.bz2
Patch1: %name-%ver_base-%ver_snap.diff.bz2
Patch2: %name-5.2-manpages.patch
Patch3: %name-5.4-alt-texinfo.patch

Requires(post,preun): %__install_info
Requires: util-linux >= 2.11h-alt2

# Automatically added by buildreq on Sat Nov 02 2002
BuildRequires: flex tetex-latex

%description
This package contains utilities for configuring and debugging the
Linux floppy driver, for formatting extra capacity disks (up to 1992K
on a high density disk), for sending raw commands to the floppy
controller, etc.

%prep
%setup -q -n %srcname
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure
# SMP-incompatible
make

%install
%__mkdir_p $RPM_BUILD_ROOT{%_sysconfdir,%_bindir,%_infodir,%_mandir/man{1,4}}
%makeinstall UID=$(id -u) GID=$(id -g)

install -p -m644 src/mediaprm $RPM_BUILD_ROOT%_sysconfdir
chmod 755 $RPM_BUILD_ROOT%_bindir/*

%post
%install_info %name.info

%preun
%uninstall_info %name.info

%files
%config %_sysconfdir/mediaprm
%_bindir/*
%_mandir/man?/*
%_infodir/*.info*

%changelog
* Sat Nov 02 2002 Dmitry V. Levin <ldv@altlinux.org> 5.4.20020222-alt1
- Updated to 20020222.
- Fixed texinfo documentation.

* Mon Aug 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.4-ipl3mdk
- Updated to 20010602.
- Resurrected _bindir/setfdprm.
- Requires: util-linux >= 2.11h-alt2

* Fri Mar 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.4-ipl2mdk
- Removed %_bindir/setfdprm (provided by util-linux).

* Sat Dec 16 2000 Dmitry V. Levin <ldv@fandra.org> 5.4-ipl1mdk
- 5.4.
- FHSification.

* Fri Jun 16 2000 Dmitry V. Levin <ldv@fandra.org> 5.3-ipl12mdk
- RE adaptions.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.3-11mdk
- Fix buffer overvlow in fdmount (Yoann).

* Mon May 15 2000 Anton Graham <darkimage@bigfoot.com> 5.3.10mdk
- Add % post and % preun
- Use % {_tmppath}
- Spec-helper cleanup

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 5.3-9mdk
- Fix rpm group and spec-helper issues

* Mon Jan 17 2000 Francis Galiegue <francis@mandrakesoft.com>
- Fixed build as non-root

* Thu Nov 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- build release

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- Fix up release number

* Wed Jul  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 5.3 version.
- Rewriting the .spec to be more Mandrake ;-)

* Sun Nov 29 1998 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
[5.2-4]
- Fix to be built by non-root
- Add conflict note in %desrciption

* Wed Apr 15 1998 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
[5.2-3]
- Use buildroot
